<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# заголовок
$set['title']='Купить силу';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

if (isset($user))
{

$action=htmlspecialchars(trim($_GET['action']));

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/user_a_power.gif" alt="*" /></div>';

# блоки
switch($_GET['action']){

#********************* Главный блок *****************#
default:

# текст
echo '<div class="zona_menu">
Определяет урон, наносимый противнику в драке .</div>';

# выбор действий
echo '<div class="aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_sila.php?action=lot_5"> Купить 5 ед.</a> за 50 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_sila.php?action=lot_15"> Купить 15 ед.</a> за 130 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_sila.php?action=lot_50"> Купить 50 ед.</a> за 400 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_sila.php?action=lot_100"> Купить 100 ед.</a> за 750 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';

# конец
break;

#********************* 5 *****************#
case 'lot_5':

# бабок нет
if($user['zona_balls']<50){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки силы нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 50 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_sila`=`zona_sila`+'5' ,`zona_balls`=`zona_balls`-'50' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 5 ед. силы .
</div>';
}

# конец
break;



#********************* 15 *****************#
case 'lot_15':

# бабок нет
if($user['zona_balls']<130){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки силы нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 130 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_sila`=`zona_sila`+'15' ,`zona_balls`=`zona_balls`-'130' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 15 ед. силы .
</div>';
}

# конец
break;


#********************* 50 *****************#
case 'lot_50':

# бабок нет
if($user['zona_balls']<400){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки силы нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 400 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_sila`=`zona_sila`+'50' ,`zona_balls`=`zona_balls`-'400' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 50 ед. силы .
</div>';
}

# конец
break;

#********************* 100 *****************#
case 'lot_100':

# бабок нет
if($user['zona_balls']<750){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки силы нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 750 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_sila`=`zona_sila`+'100' ,`zona_balls`=`zona_balls`-'750' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 100 ед. силы .
</div>';
}

# конец
break;

}
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_dexterity.png" alt="*" /> <a href="black.php"> Обратно в магазин</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';
}

else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}
include_once '../../sys/inc/tfoot.php';
?>
